Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.management.stats
Class ProcessingTime

    java.lang.Object
      org.mule.management.stats.ProcessingTime

All Implemented Interfaces:
  Serializable

    public class ProcessingTime

extends Object
implements Serializable

Accumulates the processing time for all branches of a flow

See Also:
  Serialized Form

Method Summary
`void` | `addFlowExecutionBranchTime(long startTime)` Add the execution time for this branch to the flow construct's statistics
`static long` | `getEffectiveTime(long time)` Convert processing time to effective processing time.
`static ProcessingTime` | `newInstance(MuleSession session, MuleContext muleContext)` Create a ProcessingTime for the specified MuleSession.
`void` | `startThread()` Start timer that processes reference queue
`static void` | `stopTimer()` Stop timer that processes reference queue

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newInstance

    public static ProcessingTime newInstance(MuleSession session,
                                             MuleContext muleContext)

  Create a ProcessingTime for the specified MuleSession.

  Returns:
    ProcessingTime if the session has an enabled FlowConstructStatistics or null otherwise

### addFlowExecutionBranchTime

    public void addFlowExecutionBranchTime(long startTime)

  Add the execution time for this branch to the flow construct's statistics

  Parameters:
    `startTime` - time this branch started

### getEffectiveTime

    public static long getEffectiveTime(long time)

  Convert processing time to effective processing time. If processing took less than a tick, we consider it to have been one millisecond

### startThread

    public void startThread()

  Start timer that processes reference queue

### stopTimer

    public static void stopTimer()

  Stop timer that processes reference queue

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.